package org.project.abilities;

import org.project.entity.Entity;

public class ArcaneStorm extends SpecialAbility{

    /*
        Wizard use this special ability
        it Becomes invisible
        no longer gets damage
     */

    public ArcaneStorm() {
        super("ArcaneStorm",25, 3, AbilityTarget.TARGET);
    }


    @Override
    public void onApply(Entity target) {
        super.onApply(target);
    }

    @Override
    public void onTick(Entity target) {
        target.freeze();
        System.out.println(target.getName() + " is steel Frozen!");
        reduceDuration();
    }

    @Override
    public void onExpire(Entity self) {
        System.out.println(self.getName() + "'s special ability onExpired");
    }
}
